@import '../../style/base/_variables';
@import '../../style/base/_mixins';

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 91px;
  height: 43px;
  border: 2px solid $color-purple-01;
  border-radius: 5px;
  padding-left: $gap-md;
  padding-right: $gap-md;
  cursor: pointer;
  @include button;
  &:hover:not(:disabled) {
    background-color: rgba($color-purple-01, 0.1);
    transition: background-color 300ms ease-in-out;
  }
  &.active {
    color: $color-white;
    background-color: $color-purple-01;
    &:hover:not(:disabled) {
      background-color: rgba($color-purple-01, 0.9);
    }
  }
  &.disabled {
    opacity: 0.6;
  }
  &:disabled {
    opacity: 0.6;
  }
}